## ecrire-0.2.0-2.src.tar.gz

=== meson_options.txt ===
option('nls',
        type: 'boolean',
        value: true,
        description: 'enable localization: (default=true)')

=== PKGBUILD ===
# Maintainer: Carsten Haitzler <raster@archlinux.org>

pkgname=ecrire
pkgver=0.2.0
pkgrel=2
pkgdesc="EFL Simple Text editor"
arch=('x86_64')
url="https://www.enlightenment.org/"
license=('GPL3')
depends=('efl')
makedepends=('meson' 'ninja')
source=("https://download.enlightenment.org/rel/apps/${pkgname}/${pkgname}-${pkgver}.tar.xz")
sha256sums=('d964598790d5b26767e21b7dbc09ca16867f530d50fa363c7694fd3c50995fdf')

build() {
  cd "${srcdir}/${pkgname}-${pkgver}"

  export CFLAGS="${CFLAGS} -fvisibility=hidden"
  meson build --prefix=/usr
  ninja -C build
}

package(){
  cd "${srcdir}/${pkgname}-${pkgver}"

  DESTDIR="${pkgdir}" ninja -C build install

  # install license files
  install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname/" AUTHORS
}
